> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Prompt-Level Dataset

> 
Create a new dataset for prompt-level testing. Use to organize test cases for evaluating individual prompts.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/prompt-datasets
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-datasets:
    post:
      tags:
        - Prompt Datasets
      summary: Create Prompt-Level Dataset
      description: >-

        Create a new dataset for prompt-level testing. Use to organize test
        cases for evaluating individual prompts.
      operationId: post_create_prompt_dataset
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                description:
                  default: null
                  title: Description
                  type:
                    - string
                    - 'null'
                input_names:
                  default: null
                  title: Input Names
                  items:
                    type: string
                  type:
                    - array
                    - 'null'
                media_input_names:
                  default: null
                  title: Media Input Names
                  items:
                    type: string
                  type:
                    - array
                    - 'null'
                support_history:
                  default: false
                  title: Support History
                  type: boolean
                tags:
                  default: null
                  title: Tags
                  items:
                    type: string
                  type:
                    - array
                    - 'null'
              required:
                - name
              title: CreatePromptDatasetRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  input_names:
                    items:
                      type: string
                    title: Input Names
                    type: array
                  media_input_names:
                    items:
                      type: string
                    title: Media Input Names
                    type: array
                  support_history:
                    title: Support History
                    type: boolean
                  description:
                    default: null
                    title: Description
                    type:
                      - string
                      - 'null'
                  tags:
                    default: null
                    items:
                      $ref: '#/components/schemas/TagResponse'
                    title: Tags
                    type: array
                required:
                  - id
                  - name
                  - input_names
                  - media_input_names
                  - support_history
                title: PromptDatasetResponse
                type: object
          description: >-
            PromptDatasetResponse(dataset: shared.sqlalchemy.models.Dataset,
            tags: Optional[list['TagResponse']] = None)
components:
  schemas:
    TagResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
        association_count:
          default: 0
          title: Association Count
          type: integer
      required:
        - id
        - name
        - color
      title: TagResponse
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````